Skip to main content
Security & Audit/Security

ListSyncSources

List all configured CVE data sync sources.

GET/api/v1/security/cve/sync-sources

Operation ID

ListSyncSources

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of configured sync source entries

    Example: (nested array)

    • id
      String

      Unique identifier for this sync source configuration

      Example: sync-src-001

    • type
      String

      Type of the CVE data sync source

      Example: SYNC_SOURCE_TYPE_UNSPECIFIED

    • apiKeyMasked
      String

      API key with sensitive characters masked for display

      Example: abc***xyz

    • syncIntervalHours
      Integer

      Interval in hours between automatic sync operations

      Example: 24

    • ecosystems
      List

      List of package ecosystems to sync CVE data for

      Example: item1,item2

    • lastModifiedSince
      String

      Timestamp filter to fetch only entries modified since this time

      Example: 2024-01-01T00:00:00Z

    • createdAt
      String

      Timestamp when this sync source was first configured

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of sync sources configured

    Example: 3

  • limit
    Integer

    Maximum number of items returned in this response

    Example: 20

  • offset
    Integer

    Number of items skipped before this page

    Example: 20